# $Revision: 1.20.2.1 $, $Date: 2007/03/07 17:55:13 $
Summary:	Simple command-line interface to systems that support the IPMI
Summary(pl):	Prosty interfejs do systemw obsugujcych IPMI dziaajcy z linii polece
Name:		ipmitool
Version:	1.8.9
Release:	1
License:	BSD
Group:		Applications/System
Source0:	http://dl.sourceforge.net/ipmitool/%{name}-%{version}.tar.gz
# Source0-md5:	f122ea1171f8950306b49ddeb4d12f7e
Source1:	%{name}-ipmievd.init
Source2:	%{name}-ipmievd.sysconfig
URL:		http://ipmitool.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libltdl-devel
BuildRequires:	libtool
Obsoletes:	ipmitool-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPMItool is a simple command-line interface to systems that support
the Intelligent Platform Management Interface (IPMI) v1.5 and v2.0
specification. It provides the ability to read the SDR and print
sensor values, display the contents of the SEL, print FRU information,
read and set LAN configuration parameters, and perform chassis power
control. Originally written to take advantage of IPMI-over-LAN
interfaces, it is also capable of using a system interface as provided
by a kernel device driver such as OpenIPMI.

%description -l pl
IPMItool to prosty, dziaajcy z linii polece interfejs do systemw
obsugujcych specyfikacj Intelligent Platform Management Interface
(IPMI) v1.5 i v2.0. Daje moliwo odczytu SDR i wypisania wartoci
czujnikw, wywietlenia zawartoci SEL, wypisania informacji FRU,
odczytu i ustawiania parametrw konfiguracji LAN i sterowania
zasilaniem. Narzdzie napisano pierwotnie w celu wykorzystania
interfejsw IPMI-over-LAN, ale moliwe jest take uywanie interfejsu
systemowego dostarczonego przez sterownik urzdzenia w jdrze, taki
jak OpenIPMI.

%package ipmievd
Summary:	IPMI event daemon for sending events to syslog
Summary(pl):	Demon IPMI przesyajcy zdarzenia do sysloga
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts

%description ipmievd
ipmievd is a daemon which will listen for events from the BMC that are
being sent to the SEL and also log those messages to syslog.

%description ipmievd -l pl
ipmievd to demon, ktry nasuchuje na zdarzenia z BMC, ktre s
wysyane do SEL i loguje wiadomoci do sysloga.

%prep
%setup -q

%build
%{__libtoolize} --ltdl
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared \
	--disable-static \
	--enable-intf-lan \
	--enable-intf-lanplus \
	--enable-intf-open \
	--enable-intf-imb \
	--enable-ipmishell \
	--enable-ipmievd
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/ipmievd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ipmievd

%clean
rm -rf $RPM_BUILD_ROOT

%post ipmievd
/sbin/chkconfig --add ipmievd
%service ipmievd restart

%preun ipmievd
if [ "$1" = "0" ]; then
        %service ipmievd stop
        /sbin/chkconfig --del ipmievd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files ipmievd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%attr(754,root,root) /etc/rc.d/init.d/ipmievd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ipmievd

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipmitool.spec,v $
Revision 1.20.2.1  2007/03/07 17:55:13  glen
- AC-branch

Revision 1.20  2007/03/07 09:05:33  beorn
- Fixed polish SPEC translation in Summary

Revision 1.19  2007/03/07 07:32:44  arekm
- up to 1.8.9

Revision 1.18  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.16  2007/01/30 07:49:24  arekm
- 2.0, too

Revision 1.15  2007/01/24 21:52:37  arekm
- up to 1.8.8.90 snapshot

Revision 1.14  2006/08/31 13:44:12  arekm
- rel 5; proper fix

Revision 1.13  2006/08/31 13:31:57  arekm
- don't close used fd

Revision 1.12  2006/08/09 07:01:04  arekm
- rel 3

Revision 1.11  2006/07/30 19:06:13  blues
- release 2

Revision 1.10  2006/06/28 15:34:06  arekm
- ipmievd subpackage; init scripts

Revision 1.9  2005/09/17 19:13:08  arekm
- rel 1

Revision 1.8  2005/04/10 14:36:09  glen
- 1.8.1

Revision 1.7  2004/11/26 11:42:54  glen
- fix package of files in share

Revision 1.6  2004/11/24 19:56:24  glen
- remove duplicate doc install by make install
- add README, ChangeLog to %doc,
- package %{_datadir} (contrib/ files)

Revision 1.5  2004/09/14 07:54:24  qboosh
- Obsoletes for dropped -devel

Revision 1.4  2004/09/12 21:58:33  arekm
- updated to 1.6.0

Revision 1.3  2004/07/18 21:44:33  qboosh
- fixed License (BSD, copyright Sun)
- fixed build on amd64, added docs, package header files, release 2

Revision 1.2  2004/07/17 22:53:12  qboosh
- pl

Revision 1.1  2004/07/17 13:44:57  arekm
- initial pld release
